[Task] Train Wikidata people on how to add data/metrics to a Shiny dashboard for Wikidata
Closed, ResolvedPublic2 Story Points

Description

@Christopher and @JanZerebecki need training on how to add data/metrics to a Shiny dashboard for Wikidata. This task is for the Discovery Analysis Team to provide him with that training.

Deskana created this task.Aug 11 2015, 8:13 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Normal.
Deskana added subscribers: Deskana, JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2015, 8:13 PM
Deskana renamed this task from Train Jan Zerebecki how to set up a Shiny dashboard for Wikidata to Train Jan Zerebecki of Wikimedia Germany on how to set up a Shiny dashboard for Wikidata.Aug 11 2015, 10:42 PM
Deskana set Security to None.

@JanZerebecki and @Ironholds should agree a date for this. An email was sent for them to do so.

Jonas renamed this task from Train Jan Zerebecki of Wikimedia Germany on how to set up a Shiny dashboard for Wikidata to [Task] Train Jan Zerebecki of Wikimedia Germany on how to set up a Shiny dashboard for Wikidata.Aug 13 2015, 10:23 AM

@JanZerebecki is on holiday until Monday 24th August. This training will take place some time after then.

JanZerebecki renamed this task from [Task] Train Jan Zerebecki of Wikimedia Germany on how to set up a Shiny dashboard for Wikidata to [Task] Train Christopher Johnson on how to add data/metrics to a Shiny dashboard for Wikidata.Aug 19 2015, 10:45 AM
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: Christopher.

Changed this task in response to T103000#1550421.

Changed this task in response to T103000#1550421.

I'm confused by this. It was my understanding that Abraham asked you to do this, and I doubt that the Operations Team has signed up to maintain dashboards for you. Has something changed that I'm not aware of?

@Deskana - there are two relevant Christopher Johnson's, one that works for Operations in VA, (who I believe goes by "Chris") and myself, (I go by "Christopher" and work for WMDE).

While I have no prior knowledge of this task, it seems interesting, so I welcome it.

If you could fill me on what this training is about and how I can accomplish the task, this would be a good start.

This is definitely a task for you and I am glad you like the sound of
it, but the fact that someone has assigned you to it without anyone
letting you know what it's about, what the training is or how to do
that is a leeeeettle worrying ;p.

@Deskana - there are two relevant Christopher Johnson's, one that works for Operations in VA, (who I believe goes by "Chris") and myself, (I go by "Christopher" and work for WMDE).

Aha, thanks! I was unaware of this.

While I have no prior knowledge of this task, it seems interesting, so I welcome it.

If you could fill me on what this training is about and how I can accomplish the task, this would be a good start.

Abraham previously indicated to me that Jan would be working on this, so given your surprise I will check with Abraham and let you know. Thanks!

JanZerebecki renamed this task from [Task] Train Christopher Johnson on how to add data/metrics to a Shiny dashboard for Wikidata to [Task] Train Wikidata people on how to add data/metrics to a Shiny dashboard for Wikidata.Aug 25 2015, 12:52 PM
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: Abraham.

I was told I should do the setup and @Christopher and me should put in the data / create the actual metrics.

@JanZerebecki I built a test instance here: http://wdm.wmflabs.org/ The vagrant script worked fine. I think I get the basics of the shiny-server (from reading this http://rstudio.github.io/shiny-server/latest/ guide).

I guess I am ready to dig into the dashboard development now. A couple of questions:

  1. Where do we want to host the dashboard repo (github or gerrit)?
  2. I need to know exactly what KPI's to focus on and where to source the datasets. Can this be clarified in T108404?

@Christopher I will answer questions 2 :-). I will forward the relevant KPI's and information we developed, also the existing data sources.

Questions 1, I do not have a strong opinion. As far as I know the WMF team stores everything related to that in github, right?

Any preferred repo path on gerrit?

Suggestions: (wikidata/dashboard) or (wikidata/analytics/dashboard) or
(analytics/wikidata/dashboard)

We're switching our dashboards over to gerrit, yeah.

mpopov claimed this task.
mpopov edited a custom field.

Any preferred repo path on gerrit?

Suggestions: (wikidata/dashboard) or (wikidata/analytics/dashboard) or
(analytics/wikidata/dashboard)

analytics/ is owned by the WMF analytics team, so that should have their agreement, see:
https://gerrit.wikimedia.org/r/#/admin/projects/analytics,access

Thus of the 3 I prefer wikidata/analytics/dashboard as we have more analytics stuff for wikidata.

JanZerebecki closed this task as Resolved.Aug 31 2015, 6:09 PM
JanZerebecki moved this task from Backlog to Done on the Wikidata-Sprint-2015-08-18 board.

We consider the training complete now. Let us know if you have any more questions, and we'll be happy to answer!